Analytics
Analysis
deprecated
Analysis.
POST
/
ai
/
v1
/
kallm
/
sotc
/
analysis
Analysis
curl --request POST \
--url https://platform.ai.gloo.com/ai/v1/kallm/sotc/analysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form csvFile='@example-file'import requests
url = "https://platform.ai.gloo.com/ai/v1/kallm/sotc/analysis"
files = { "csvFile": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('csvFile', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://platform.ai.gloo.com/ai/v1/kallm/sotc/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Analysis started in background. Results will be sent to the webhook URL when complete."
}{
"detail": "Invalid file format. Please upload a CSV file."
}{
"detail": "Internal server error"
}Deprecated Endpoint: This endpoint is deprecated and no longer supported.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
multipart/form-data
The first line of the CSV file should contain the header, and the second line should contain the national average. The rest of the file should contain the data to analyze.
Response
Successful Response
⌘I
Analysis

